package naknak.mesh;

/**
 * Datenhaltung fr eine 2D-Textur
 * 
 * @author Michael Erlmann
 *
 */
public class Face2D {
	public String dateiname;
	public TexturKoordinaten tk1, tk2, tk3;
	public int texturModus;
	
	public Face2D(String dateiname, float s1, float t1, float s2, float t2, float s3, float t3, int texturModus) {
		this.dateiname = dateiname;
		this.tk1 = new TexturKoordinaten(s1,t1);
		this.tk2 = new TexturKoordinaten(s2,t2);
		this.tk3 = new TexturKoordinaten(s3,t3);
		this.texturModus = texturModus;
	}

	public Face2D(String dateiname, TexturKoordinaten tk1, TexturKoordinaten tk2, TexturKoordinaten tk3, int texturModus) {
		this.dateiname = dateiname;
		this.tk1 = tk1;
		this.tk2 = tk2;
		this.tk3 = tk3;
		this.texturModus = texturModus;
	}
}
