package naknak.tools;

/**
 * Hilfsklasse fuer einfache mathematische Operationen
 * 
 * @author Michael Erlmann
 *
 */
public class Tools {

	/**
	 * Gibt den Cosinus zurueck
	 * 
	 * @param variable Winkel in Grad
	 * 
	 * @return Cosinus
	 */
	public static float cos(float variable) {
		float winkel = (float)Math.cos(Math.toRadians(variable));
		return winkel;
	}
	
	/**
	 * Gibt den Sinus zurueck
	 * 
	 * @param variable Winkel in Grad
	 * 
	 * @return Sinus
	 */
	public static float sin(float variable) {
		float winkel = (float)Math.sin(Math.toRadians(variable));
		return winkel;
	}
	
}
