package naknak.kollision;

/**
 * Bestimmt Kollision aufgrund des Raumes, in welchem sich der Spieler befindet
 * 
 * @author Michael Erlmann
 * 
 */
public class KollisionsHandler {
	public Raum[][] raeume;

	public void addWand(Wand wand, int raumXPos, int raumZPos) {
		raeume[raumXPos][raumZPos].addWand(wand);
	}
	
	public boolean testeAufKollisionKreisWand(float mpx, float mpz, float radius, float winkelY, int wandnummer) {
		return raeume[(int)((mpx+10)/20)][(int)((mpz+10)/20)].testeAufKollisionKreisWand(mpx, mpz, radius, winkelY, wandnummer);
	}

}
