package naknak.mesh;

import net.java.games.jogl.GL;
import net.java.games.jogl.GLDrawable;

/**
 * Textur fuer Cell-Shading
 * 
 * @author Michael Erlmann
 *
 */
public class ShaderTextur {
	float shaderData[]  = new float[96];
	public int texturNummer[] = new int[1];

	public ShaderTextur(GLDrawable gld) {
		GL gl = gld.getGL();
		for(int i=0;i<18;i++) {
			shaderData[i] = 0.2f;
		}
		for(int i=18;i<36;i++) {
			shaderData[i] = 0.5f;
		}
		for(int i=36;i<96;i++) {
			shaderData[i] = 1.0f;
		}
		gl.glGenTextures(1, texturNummer);
		gl.glBindTexture(GL.GL_TEXTURE_1D, texturNummer[0]);
		gl.glTexParameteri(GL.GL_TEXTURE_1D,GL.GL_TEXTURE_MAG_FILTER,GL.GL_NEAREST);
		gl.glTexParameteri(GL.GL_TEXTURE_1D,GL.GL_TEXTURE_MIN_FILTER,GL.GL_NEAREST);
		gl.glTexImage1D(GL.GL_TEXTURE_1D, 0,GL.GL_RGB, 32, 0,GL.GL_RGB ,GL.GL_FLOAT, shaderData);
	}
}
