package naknak.objekte.lichter;

import net.java.games.jogl.GL;

/**
 * Datenhaltung und Zeichenoperation fuer direktionelles Licht
 * 
 * @author Michael Erlmann
 *
 */
public class DirektionellesLicht extends AbstraktesLicht {
	
	public DirektionellesLicht(int lichtnummer,float x, float y, float z) {
		this.lichtnummer = lichtnummer;
		lichtPosition[0] = x;
		lichtPosition[1] = y;
		lichtPosition[2] = z;
		lichtPosition[3] = 0.0f;
	}

	public void setLeuchtrichtung(float x, float y, float z) {
		lichtPosition[0] = x;
		lichtPosition[1] = y;
		lichtPosition[2] = z;
	}
	
	public void zeichne(GL gl) {
		gl.glLightfv(lichtnummer, GL.GL_POSITION, lichtPosition);
		gl.glLightfv(lichtnummer, GL.GL_AMBIENT, lichtAmbient);
		gl.glLightfv(lichtnummer, GL.GL_DIFFUSE, lichtDiffuse);
		gl.glLightfv(lichtnummer, GL.GL_SPECULAR, lichtSpecular);
	}	
	

}