package naknak.programm;

import java.util.HashMap;

import naknak.mesh.Mesh;

/**
 * Enthaellt die relevanten Daten ueber den Aufbau des Levels
 * 
 * @author Michael Erlmann
 *
 */
public class Level {
	public String raum[][];
	public float raumwinkel[][];
	public String spielfigur;
	public float startposX;
	public float startposZ;
	public float startwinkel;
	public float zielposX;
	public float zielposZ;
	public HashMap<String, Mesh> raumModelle;
	public Mesh spielfigurModell;
}
